<!--
 * @Author: 小明丶
 * @Date: 2020-05-21 16:46:50
 * @LastEditors: zxq
 * @LastEditTime: 2022-06-14 16:57:03
 * @Description: 我的订单
--> 
<template>
    <div class="my-order-page"> 
        <v-navbar title="我的订单" back="/home/personal"></v-navbar>
        <h-list height="90vh" background="#f5f5f5" v-if="mation.length > 0" >
            <div class="mation-box" v-for="(item,index) in mation" :key="index" @click="goDetail(item)">
                <div>
                    <span>订单号</span>
                    <span>{{item.orderId}}</span>
                </div>
                 <div>
                    <span>订单状态</span>
                    <span>{{item.statusName}}</span>
                </div>
                <div>
                    <span>逾期状态</span>
                    <span>{{item.overStatusName}}</span>
                </div>
            </div>
        </h-list>
        <div class="noinfo-box" v-else>
            <img src="../../assets/img/noinfo.png" alt="">
            <p>暂无订单</p>
        </div>
    </div>
</template>
<script>
export default {
    data() {
        return {
            mation:[],
            loading:false,
            finished:false,
            orderId:''
        }
    },
    created(){
       this.init()
    },
    methods:{
        init(){
            this.$api.orderUserList().then(res=>{
                this.mation = res.body.items
            })
        },
        goDetail(item){
            if(item.canDtl==1){
                this.$router.push({
                    path:'/order/order-detail',
                    query:{
                        id:item.orderId
                    }
                })
            }
        },
    }
}
</script>
<style lang="less" scoped>
    .my-order-page{
        &{
            height: 100vh;
            background: @c-back;
            position: relative;
        }
        .mation-box{
            width:343px;
            background:rgba(255,255,255,1);
            box-shadow:0px 4px 12px 0px rgba(12,85,188,0.08);
            border-radius:5px;
            margin-top: 10px;
            box-sizing: border-box;
            padding: 17px;
            div:nth-of-type(2){
                margin: 13px 0;
            }
            div{
                span{
                    display: inline-block;
                    width: 49%;
                }
                span:nth-of-type(1){
                    font-size:13px;
                    font-family:PingFang SC;
                    font-weight:500;
                    color:rgba(153,153,153,1);
                }
                span:nth-of-type(2){
                    font-size:13px;
                    font-family:PingFang SC;
                    font-weight:500;
                    color:rgba(51,51,51,1);
                    text-align: right;
                }
            }
        }
        .noinfo-box{
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            text-align: center;
            img{
                width: 222px;
                height: 130px;
            }
        }
    }
</style>